//---------------------------------------------------------------------------

#ifndef Unit2H
#define Unit2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "ZKFPEngXControl_OCX.h"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <OleCtrls.hpp>
//---------------------------------------------------------------------------
class TForm2 : public TForm
{
__published:	// IDE-managed Components
        TZKFPEngX *ZKFPEngX1;
        TPanel *pnlCommand;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TButton *btnInit;
        TEdit *EDSensorNum;
        TEdit *EDSensorIndex;
        TEdit *EDSensorSN;
        TRadioGroup *RGFormat;
        TButton *btnSaveImage;
        TButton *btnReg;
        TEdit *EDFingerName;
        TButton *btnVerify;
        TButton *Button1;
        TButton *btnDogRead;
        TEdit *EDInfo1;
        TButton *btnDogWrite;
        TEdit *EDInfo;
        TStatusBar *StatusBar;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall btnInitClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall ZKFPEngX1ImageReceived(TObject *Sender,
          TOLEBOOL *AImageValid);
        void __fastcall btnSaveImageClick(TObject *Sender);
        void __fastcall ZKFPEngX1FeatureInfo(TObject *Sender,
          long AQuality);
        void __fastcall btnRegClick(TObject *Sender);
        void __fastcall btnVerifyClick(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall ZKFPEngX1Capture(TObject *Sender,
          TOLEBOOL ActionResult, TVariantInParam ATemplate);
        void __fastcall ZKFPEngX1Enroll(TObject *Sender,
          TOLEBOOL ActionResult, TVariantInParam ATemplate);
        void __fastcall btnDogReadClick(TObject *Sender);
        void __fastcall btnDogWriteClick(TObject *Sender);
private:	// User declarations
        Variant FRegTemplate;
        int FMatchType;

        int FID;
        TStringList *FFingerName;
        int fpcHandle;

public:		// User declarations
        __fastcall TForm2(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm2 *Form2;
//---------------------------------------------------------------------------
#endif
